Copy the palette from one image to another

- « imageopenpolygon

- imagepalettetotruecolor »

- PHP Manual
- GD and Image Functions
- Copy the palette from one image to another

# imagepalettecopy

(PHP 4 >= 4.0.1, PHP 5, PHP 7, PHP 8)

imagepalettecopy — Copy the palette from one image to another

### Description

imagepalettecopy(GdImage `$dst`, GdImage `$src`): void

imagepalettecopy() copies the palette from the `src` image to the `dst` image.

### Parameters

`dst`

  The destination image object.

`src`

  The source image object.

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | `dst` and `src` expect GdImage instances now; previously, resources were expected.

### Examples

Example #1 imagepalettecopy() example

    <?php// Create two palette images$palette1 = imagecreate(100, 100);$palette2 = imagecreate(100, 100);// Allocate the background to be // green in the first palette image$green = imagecolorallocate($palette1, 0, 255, 0);// Copy the palette from image 1 to image 2imagepalettecopy($palette2, $palette1);// Since the palette is now copied we can use the // green color allocated to image 1 without using // imagecolorallocate() twiceimagefilledrectangle($palette2, 0, 0, 99, 99, $green);// Output image to the browserheader('Content-type: image/png');imagepng($palette2);imagedestroy($palette1);imagedestroy($palette2);?>